<?php
/**
 * Order  block
 *
 * @category   Turnkeye
 * @package    Turnkeye_Xcartorders
 * @author     Viacheslav Fedorenko <v.fedorenko@turnkeye.com>
 */
class Turnkeye_Xcartorders_Block_Order extends Mage_Core_Block_Template
{

    /**
     * Constructor
     */
    public function __construct()
    {
        Mage::app()->getFrontController()->getAction()->getLayout()->getBlock('root')->setHeaderTitle(Mage::helper('sales')->__('Previous Orders'));
        Mage::register('current_customer', Mage::getSingleton('customer/session')->getCustomer());

        $model = Mage::getModel('turnkeye_xcartorders/order')->load($this->getRequest()->getParam('order_id'));
        $this->setOrder($model);
    }

}
 
