<?php
/**
 * Orders  block
 *
 * @category   Turnkeye
 * @package    Turnkeye_Xcartorders
 * @author     Viacheslav Fedorenko <v.fedorenko@turnkeye.com>
 */
class Turnkeye_Xcartorders_Block_Orders extends Mage_Core_Block_Template
{

    /**
     * Constructor
     */
    public function __construct()
    {
        Mage::app()->getFrontController()->getAction()->getLayout()->getBlock('root')->setHeaderTitle(Mage::helper('sales')->__('Previous Orders'));
        Mage::register('current_customer', Mage::getSingleton('customer/session')->getCustomer());
        $collection = Mage::getModel('turnkeye_xcartorders/order')->getCollection()->addFieldToFilter('customer_id', Mage::getSingleton('customer/session')->getCustomer()->getId());
        $this->setOrders($collection);
    }

    /**
     * get view url
     *
     * @param $order
     * @return string
     */
    public function getViewUrl($order)
    {
        return $this->getUrl('*/*/view', array('order_id' => $order->getId()));
    }


}
