<?php
/**
 * Xcart Order config model
 *
 * @category   Turnkeye
 * @package    Turnkeye_Xcartorders
 * @author     Viacheslav Fedorenko <v.fedorenko@turnkeye.com>
 */

class Turnkeye_Xcartorders_Model_Order_Config extends Mage_Core_Model_Abstract
{

    public function getStatuses()
    {
        return array(
            'P' => Mage::helper('turnkeye_xcartorders')->__('Processed'),
            'I' => Mage::helper('turnkeye_xcartorders')->__('Not Finished'),
            'C' => Mage::helper('turnkeye_xcartorders')->__('Completed'),
            'B' => Mage::helper('turnkeye_xcartorders')->__('Backordered'),
            'F' => Mage::helper('turnkeye_xcartorders')->__('Failed'),
            'Q' => Mage::helper('turnkeye_xcartorders')->__('Queued'),
            'D' => Mage::helper('turnkeye_xcartorders')->__('Declined'),
        );
    }

}