<?php

$file = "export.csv";
$path = dirname(__FILE__) . DIRECTORY_SEPARATOR;

$fd = fopen($path . $file, "rb");
$delimiter = ";";
$found = false;
fgetcsv($fd);
$mag_fd = false;
while($row = fgetcsv($fd, 40960, $delimiter)) {
    if (count($row) == 1) {
        if ($mag_fd) {
            fclose($mag_fd);
            $mag_fd = false;
        }

        if ($row[0]) {
            $magento_file = "xcart_" . strtolower(trim($row[0], "[!]")) . ".csv";
            $mag_fd = fopen($path . $magento_file, "w+b");
        }
    } else {
        if (!$mag_fd ) {
            die("Cannot find file to write");
        }
        fputcsv($mag_fd, $row);
    }
}

fclose($fd);
if ($mag_fd) {
    fclose($mag_fd);
    $mag_fd = false;
}
